CVE-2001-0587
CVSS7.2
发布时间 :2001-08-22 00:00:00
修订时间 :2008-09-05 16:24:28
NMCOS    

[原文]deliver program in MMDF 2.43.3b in SCO OpenServer 5.0.6 can allow a local attacker to gain additional privileges via a buffer overflow in the first argument to the command.


[CNNVD]SCO OpenServer deliver 本地缓冲区溢出(CNNVD-200108-115)

        CVE(CAN) ID: CAN-2001-0587
        
        
        
        SCO OpenServer 5.0.6 (可能包括更早版本) 包含几个suid-to-bin的可执行程序,
        
        用于管理打印机以及电子邮件相关的任务。
        
        
        
        其中包括deliver,该命令在MMDF下提供邮件投递服务。由于处理命令行参数时存在
        
        缓冲区溢出问题,攻击者有可能获取"bin"用户权限。
        
        
        
        <* 来源:Kevin Finisterre (dotslash@snosoft.com)
        
         主页:http://recon.snosoft.com
        
         *>
        
        
        
        
        
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0587
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0587
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200108-115
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6302.php
(VENDOR_ADVISORY)  XF  sco-openserver-deliver-bo(6302)
http://archives.neohapsis.com/archives/bugtraq/2001-03/0418.html
(VENDOR_ADVISORY)  BUGTRAQ  20010327 SCO 5.0.6 MMDF issues (deliver)
http://www.securityfocus.com/bid/2583
(UNKNOWN)  BID  2583
http://security-archive.merton.ox.ac.uk/bugtraq-200104/0221.html
(UNKNOWN)  BUGTRAQ  20010412 SSE072B: SCO OpenServer revision of buffer overflow fixes

- 漏洞信息

SCO OpenServer deliver 本地缓冲区溢出
高危 边界条件错误
2001-08-22 00:00:00 2005-10-20 00:00:00
本地  
        CVE(CAN) ID: CAN-2001-0587
        
        
        
        SCO OpenServer 5.0.6 (可能包括更早版本) 包含几个suid-to-bin的可执行程序,
        
        用于管理打印机以及电子邮件相关的任务。
        
        
        
        其中包括deliver,该命令在MMDF下提供邮件投递服务。由于处理命令行参数时存在
        
        缓冲区溢出问题,攻击者有可能获取"bin"用户权限。
        
        
        
        <* 来源:Kevin Finisterre (dotslash@snosoft.com)
        
         主页:http://recon.snosoft.com
        
         *>
        
        
        
        
        
        

- 公告与补丁

        
        
        临时解决方法:
        
        
        
        CNNVD建议您暂时去掉有问题的程序的suid/sgid属性
        
        
        
        厂商补丁:
        
        
        
        SCO已经为此发布了一个安全公告(SSE072B)以及相应补丁:
        
        安全公告地址:ftp://ftp.sco.com/SSE/sse072b.ltr
        
        补丁下载地址:ftp://ftp.sco.com/SSE/sse072b.tar.Z
        

- 漏洞信息

7648
SCO OpenServer MMDF deliver First Argument Local Overflow
Local Access Required Input Manipulation
Loss of Integrity

- 漏洞描述

A local overflow exists in OpenServer. The deliver command fails to validate user-supplied arguments resulting in a buffer overflow. With a specially crafted request consisting of more than 4085, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2001-03-27 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, SCO has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

SCO OpenServer deliver Buffer Overflow Vulnerability
Boundary Condition Error 2583
No Yes
2001-04-13 12:00:00 2009-07-11 06:06:00
Reported to bugtraq by Secure Network Operations <recon@snosoft.com> on 27 Mar 2001

- 受影响的程序版本

SCO Open Server 5.0.6
SCO Open Server 5.0.5
SCO Open Server 5.0.4
SCO Open Server 5.0.3
SCO Open Server 5.0.2
SCO Open Server 5.0.1
SCO Open Server 5.0

- 漏洞讨论

SCO OpenServer 5.0.6 (and possibly earlier versions) ships with several suid bin executables used in printer administration and email-related tasks.

One of these utilities is 'deliver', a component which supplies mail delivery services under MMDF.

'deliver' contains a confirmed locally exploitable buffer overflow condition present in the handling of command-line parameters.

If properly exploited, this can yield user 'bin' privileges to the attacker.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

PRODUCTS AFFECTED: SCO OpenServer 5.0.0-> 5.0.6
PATCH: System Security Supplement (SSE) SSE072B
PATCH LOCATION: ftp://ftp.sco.com/SSE/sse072b.tar.Z
ftp://ftp.sco.com/SSE/sse072b.tar.bz2

ftp://ftp.sco.com/SSE/sse072b.ltr
SUMMARY: SSE072B supersedes SSE072
DATE: April 12, 2001


SCO Open Server 5.0

SCO Open Server 5.0.1

SCO Open Server 5.0.2

SCO Open Server 5.0.3

SCO Open Server 5.0.4

SCO Open Server 5.0.5

SCO Open Server 5.0.6

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站